using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Posechaemost.Data.LocalData.Entity;
using Posechaemost.Data.RemoteData.RemoteDataBase.DAO;
using Posechaemost.Domain.Models;

namespace Posechaemost.Data.Repository
{
    public interface IPresenceRepository
    {
        List<PresenceDao> GetPresenceByGroup(int groupId);
        List<PresenceDao> GetPresenceByGroupAndDate(int groupId, DateOnly date);
        bool UncheckAttendence(int firstClass, int lastClass, DateOnly date, int userId);
        bool AddPresence(PresenceDao presence);

    }
}